Bug 483440 - hw accelerated rendering broken on iBook G4 /w ATI Mobility T2e
hw accelerated rendering broken on iBook G4 /w ATI Mobility T2e
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
powerpc Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-01 06:38 EST by Robert Schuster
Modified: 2009-12-18 02:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:45:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Schuster 2009-02-01 06:38:24 EST
Description of problem:
I have recently upgraded from F9 to F10 and find out that 3d rendering does not work any more. My hardware is an iBook G4 with the following graphics card:

0000:00:10.0 VGA compatible controller: ATI Technologies Inc M11 NV [FireGL Mobility T2e] (rev 80)

Version-Release number of selected component (if applicable):
Since I believe this problem is in the kernel. Here is the version I am currently using:
kernel-2.6.27.12-170.2.5.fc10.ppc

How reproducible:
Run something like glxgears or even glxinfo.

Steps to Reproduce:
1. Run glxinfo
  
Actual results:
glxinfo aborts with this error message:
glxinfo: r300_mem.c:878: bufmgr_classic_post_submit: Assertion `!batch_bo->pending_count' failed.
Aborted

Dmesg prints:
[drm:r300_do_cp_cmdbuf] *ERROR* r300_scratch failed

Expected results:
glxinfo should not abort.

Additional info:
When running glxgears the same error message appears (both in the shell as in dmesg).

HW smolt profile:
http://www.smolts.org/client/show/pub_645683ca-83db-41db-a9ff-2b5a5cc3371f
Comment 1 Jared Casper 2009-03-03 21:04:19 EST
This also happened with my PowerMac G5 with an ATI Radeon 9600 when upgrading to F10:

$ uname -a
Linux youngmc 2.6.27.19-170.2.35.fc10.ppc64 #1 SMP Mon Feb 23 13:01:31 EST 2009 ppc64 ppc64 ppc64 GNU/Linux
$ lspci | grep VGA
0000:f0:10.0 VGA compatible controller: ATI Technologies Inc RV350 AP [Radeon 9600]

I get the same assertion failure and error string in dmesg as Robert running any program that uses GL.

If there is anything I can do to help track this down let me know.  Thanks.
Comment 2 Jeremy Huddleston 2009-04-05 01:58:22 EDT
I updated mesa-dri-drivers from rawhide, and the problem is fixed there.  The following were installed from rawhide on top of my otherwise fully updated fc10:

(1/13): libXdamage-devel-1.1.1-6.fc11.ppc.rpm            | 8.6 kB     00:00     
(2/13): libXrender-devel-0.9.4-5.fc11.ppc.rpm            |  11 kB     00:00     
(3/13): libXdamage-1.1.1-6.fc11.ppc.rpm                  |  13 kB     00:00     
(4/13): libXrandr-devel-1.2.99.4-3.fc11.ppc.rpm          |  19 kB     00:00     
(5/13): libXrender-0.9.4-5.fc11.ppc.rpm                  |  32 kB     00:00     
(6/13): libXrandr-1.2.99.4-3.fc11.ppc.rpm                |  32 kB     00:00     
(7/13): libXext-1.0.99.1-2.fc11.ppc.rpm                  |  39 kB     00:00     
(8/13): libXext-devel-1.0.99.1-2.fc11.ppc.rpm            |  63 kB     00:00     
(9/13): libdrm-devel-2.4.5-3.fc11.ppc.rpm                |  78 kB     00:00     
(10/13): mesa-libGL-7.5-0.6.fc11.ppc.rpm                 | 210 kB     00:00     
(11/13): xorg-x11-proto-devel-7.4-14.fc11.noarch.rpm     | 290 kB     00:00     
(12/13): mesa-libGL-devel-7.5-0.6.fc11.ppc.rpm           | 482 kB     00:00     
(13/13): mesa-dri-drivers-7.5-0.6.fc11.ppc.rpm           | 1.5 MB     00:00
Comment 3 Robert Schuster 2009-07-27 10:23:05 EDT
Hi,
I confirm that 3D acceleration works again in F11. So this can be closed.
Comment 4 Bug Zapper 2009-11-18 05:56:38 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 02:45:53 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.